--- /dev/null	Mon Mar 27 17:24:31 2017
+++ new/usr/src/lib/libuserdefs/Makefile.com	Mon Mar 27 17:24:31 2017
@@ -0,0 +1,58 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+LIBRARY= 	libuserdefs.a
+VERS=		.1
+
+OBJECTS= 	defaults.o
+
+include ../../Makefile.lib
+
+LIBS=		$(DYNLIB) $(LINTLIB)
+
+SRCDIR=		../common
+
+LINTOUT =	lint.out
+
+LINTSRC =	$(LINTLIB:%.ln=%)
+ROOTLINTDIR =	$(ROOTLIBDIR)
+ROOTLINT =	$(LINTSRC:%=$(ROOTLINTDIR)/%)
+
+CPPFLAGS=	-I. -I$(SRCDIR) $(CPPFLAGS.master)
+LDLIBS +=	-lc
+
+LINTFLAGS=	-u
+LINTFLAGS +=	-erroff=E_BAD_PTR_CAST_ALIGN
+LINTFLAGS64 +=	-erroff=E_BAD_PTR_CAST_ALIGN
+
+$(LINTLIB) :=	SRCS= $(SRCDIR)/$(LINTSRC)
+
+.KEEP_STATE:
+
+all:		$(LIBS)
+
+lint:		lintcheck
+
+include ../../Makefile.targ
